EGGPLANT AGENT
==============

## Dependencies

- Python 3.5+
- Pip
- virtualenv (optional)
- tk (required only for gui variant)
    - macOS is pre-existing
    - windows is packaged with python
    - linux package (see below how to install it in ubuntu)

### Ubuntu (18.04.1)

- Already has python3 installed, but requires some extra packages

```
sudo apt-get update
sudo apt-get install python3-venv
sudo apt-get install python3-dev
sudo apt-get install build-essential autoconf libtool
sudo apt-get install python3-tk
```

## Setup

Optionally create a virtual environment like so:

### With virtualenv

```
cd <path with files>
virtualenv .venv
. .venv/bin/activate
```

### With python 3

```
cd <path with files>
python3 -m venv .venv
. .venv/bin/activate
```

### Windows variant (with python 3)

In windows there are some differences as follow:

```
cd <path with files>
python -m venv .venv
.venv\Scripts\activate.bat
```

Refer to the docs at: https://docs.python.org/3/library/venv.html


```
Note that on your system python may be python3 and pip may be pip3, depending on how python was installed.
```

## Install dependencies:

Note:
```
On windows, the pip3 may be called as pip and python3 as python
```


```
pip3 install --upgrade pip
pip3 install -r requirements.txt
```

Run the agent GUI:

```
python3 agentGui.py
```

Run the agent Terminal / Command Line:

```
python3 __main__.py
```

Refer to the built in help for the argument list.
