class Folder(object):
    def __init__(self, name):
        self.name = name
        self.files = []
        self.folders = {}

    def add_folder(self, folder_name):
        return self.folders.setdefault(folder_name, Folder(folder_name))

    def add_file(self, file_name, key):
        self.files.append((file_name, key))

    def get_folders(self):
        return [self.folders[name] for name in sorted(self.folders)]

    def get_files(self):
        return sorted(self.files, key=lambda x: x[0])

    def is_empty(self):
        return self.is_folder_empty(self)

    def is_folder_empty(self, folder):
        if len(folder.files) > 0:
            return False

        return all(self.is_folder_empty(folder) for folder in folder.folders.values())
